KEY_RFKILL is not passed to userspace

Bug #1740894 reported by Jeremy Soller on 2018-01-02
18
This bug affects 2 people
Affects Status Importance Assigned to Milestone
libxkbcommon (Ubuntu)
Undecided
Unassigned
xkeyboard-config (Ubuntu)
Low
Unassigned
Bionic
Undecided
Unassigned
Cosmic
Low
Unassigned
xorgproto (Ubuntu)
Undecided
Unassigned

Bug Description

* Impact
the airplane mode key doesn't work in GNOME

* Test case
Use a laptop with a key to activate airplane mode, it should toggle the corresponding mode on/off when used

* Regression potential
The change adds a new key definition but doesn't touch any existing one, nothing specific to test out of the new key working

---------------------

There are a couple things going on, that could be fixed by a Debian or Ubuntu maintainer:

- libxkbdcommon needs to be updated from 0.7.1 to 0.7.2. This introduces the RFKill key: https://lists.freedesktop.org/archives/wayland-devel/2017-August/034721.html

- x11-proto needs a new release. This commit added RFKill, but it is not in a release: https://cgit.freedesktop.org/xorg/proto/xproto/commit/?id=98a32d328e7195e12c38baa877917335bceffbaf

- Likely other X11 packages need to be rebuilt.

Jeremy Soller (jackpot51) wrote :

Attached is a test script that should trigger Airplane Mode in GNOME, but does not. The code in gnome-settings-daemon looks for XF86RFKill, but the key is not identified as such.

This is what xev reports from the script:

KeyPress event, serial 55, synthetic NO, window 0x2c00001,
    root 0x1ee, subw 0x0, time 2615499, (101,-17), root:(2297,336),
    state 0x10, keycode 255 (keysym 0x0, NoSymbol), same_screen YES,
    XLookupString gives 0 bytes:
    XmbLookupString gives 0 bytes:
    XFilterEvent returns: False

KeyRelease event, serial 55, synthetic NO, window 0x2c00001,
    root 0x1ee, subw 0x0, time 2615499, (101,-17), root:(2297,336),
    state 0x10, keycode 255 (keysym 0x0, NoSymbol), same_screen YES,
    XLookupString gives 0 bytes:
    XFilterEvent returns: False

Jeremy Soller (jackpot51) wrote :

Attached is an alternative script which sends KEY_WLAN, which does trigger Airplane Mode, as expected.

Jeremy Soller (jackpot51) wrote :

In artful and later, a number of kernel drivers send KEY_RFKILL - which is being ignored by the userspace handling code.

https://elixir.free-electrons.com/linux/v4.13.16/ident/KEY_RFKILL

Timo Aaltonen (tjaalton) on 2018-01-02
no longer affects: xorg (Ubuntu)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libxkbcommon - 0.8.0-1

---------------
libxkbcommon (0.8.0-1) unstable; urgency=medium

  * New upstream release. (LP: #1740894)
  * watch: Update upstream git url.
  * symbols: Updated.

 -- Timo Aaltonen <email address hidden> Tue, 02 Jan 2018 19:47:23 +0200

Changed in libxkbcommon (Ubuntu):
status: New → Fix Released
Timo Aaltonen (tjaalton) on 2018-10-24
affects: x11proto-core (Ubuntu) → xorgproto (Ubuntu)
Changed in xorgproto (Ubuntu):
status: New → Fix Released
Sebastien Bacher (seb128) wrote :

Is that still an issue in bionic or cosmic? If so do you know what needs to be changed in gnome-settings-daemon?

Changed in gnome-settings-daemon (Ubuntu):
importance: Undecided → Low
status: New → Incomplete
Jeremy Soller (jackpot51) wrote :

Yes, this is still an issue. Please see the above scripts. I am not aware of why gnome-settings-daemon does not receive the keypress and trigger airplane mode, if those X11 packages are up to date.

Sebastien Bacher (seb128) wrote :

It looks like we are missing that commit in xkeyboard-config
https://cgit.freedesktop.org/xkeyboard-config/commit/?id=39927132

I'm going to have a look at backporting/SRUing that one

Changed in gnome-settings-daemon (Ubuntu):
status: Incomplete → Triaged
Jeremy Soller (jackpot51) wrote :

That sounds great!

Sebastien Bacher (seb128) wrote :

Change uploaded to bionic and cosmic

affects: gnome-settings-daemon (Ubuntu) → xkeyboard-config (Ubuntu)
Changed in xkeyboard-config (Ubuntu):
status: Triaged → Fix Committed
description: updated

Hello Jeremy, or anyone else affected,

Accepted xkeyboard-config into cosmic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/xkeyboard-config/2.23.1-1ubuntu1.18.10.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-cosmic to verification-done-cosmic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-cosmic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

tags: added: verification-needed verification-needed-cosmic
Changed in xkeyboard-config (Ubuntu Bionic):
status: New → Fix Committed
tags: added: verification-needed-bionic
Brian Murray (brian-murray) wrote :

Hello Jeremy, or anyone else affected,

Accepted xkeyboard-config into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/xkeyboard-config/2.23.1-1ubuntu1.18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Mario Vukelic (mario-vukelic) wrote :

A few weeks ago I submitted the similar Bug #1791367 for airplane mode key not working on Asus ZenBook Flip UX561UD. We did some tests updating xkb-data via ppa by Gunnar Hjalmarsson (gunnarhj). This update worked on the Asus, but broke the airplane mode key on Dell XPS 15 9575 2-in-1 where it had worked out-of-the-box with Cosmic and xkb-data 2.23.

Now tested the update to 2.23.1 from -proposed and am seeing the same issue on the Dell as in #1791367:
1. Press airplane mode key Fn+Pos1
-> Works. Pop-up says "Airplane mode enabled", airplane icon appears in panel, Wifi and BT are off.
2. Press Fn+Pos1 again
-> Broken. Pop-up briefly says "Airplane mode disabled", then immediately changes to "... enabled", airplane icon remains in panel, Wifi and BT remain OFF.

I can test the Asus as well in a few days, but based on previous results I expect that it will work there.

tags: added: verification-failed-cosmic
removed: verification-needed-cosmic
Gunnar Hjalmarsson (gunnarhj) wrote :

@Mario: Yeah, history seems to repeat itself.

Personally I think it would help if you could file a bug specifically about the Dell issue, based on the proposed fix of xkb-data. The xkb-data fix is probably a step in the right direction, even if it triggers that regression.

What do you think?

Mario Vukelic (mario-vukelic) wrote :

@Gunnar: Sure, happy to sacrifice my airport key :)
New bug #1800727 for the XPS.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xkeyboard-config - 2.23.1-1ubuntu1.18.10.1

---------------
xkeyboard-config (2.23.1-1ubuntu1.18.10.1) cosmic; urgency=medium

  * debian/patch/git_airplane_key.patch:
    - define the keys needed for airplane mode toggling from the desktop
      (lp: #1740894)

 -- Sebastien Bacher <email address hidden> Thu, 25 Oct 2018 13:10:20 +0200

Changed in xkeyboard-config (Ubuntu):
status: Fix Committed → Fix Released
Sebastien Bacher (seb128) wrote :

@Mario, does disable/enabling airplane mode works if done from gnome-control-center (the wifi panel has the control)?

Not sure that qualify as a verification-failed though, the fix there is to make the key being recognized, and that seems to work. The fact that the backend fails to re-enable is probably another problem.

Also could you attach your journalctl log after getting the "fail to re-enable" issue?

Mario Vukelic (mario-vukelic) wrote :

@Sebastien:

Yes, enable/disable airplane mode works from gnome-control-center. It also works to disalbe it from the Gnome panel manu. (Remember that it previously also could be enabled and disabled with the dedicated Fn+Pos1 key as long as xkb-data was 2.23).

As for the verification-failed: I obviously accept the maintainers' decision. If you think that the xkb-data update is the right path forward despite this regression, by all means please go ahead. It would be good to fix the regression though. It seems that a very similar machine is sold as a Developer Edition with Ubuntu (Dell Precision 5530, https://bartongeorge.io/2018/05/24/welcome-the-new-dell-precision-developer-editions/)

The failed disable of the airplane mode (i.e., failed re-enable of Wifi/BT) leaves this in journalctl:

Nov 06 00:00:49 chronic systemd[1]: Starting Load/Save RF Kill Switch Status...
Nov 06 00:00:49 chronic NetworkManager[777]: <info> [1541458849.3593] manager: rfkill: WiFi now enabled by radio killswitch
Nov 06 00:00:49 chronic systemd[1]: Started Load/Save RF Kill Switch Status.
Nov 06 00:00:50 chronic kernel: ath10k_pci 0000:02:00.0: Unknown eventid: 118809
Nov 06 00:00:50 chronic kernel: ath10k_pci 0000:02:00.0: Unknown eventid: 90118
Nov 06 00:00:50 chronic kernel: IPv6: ADDRCONF(NETDEV_UP): wlp2s0: link is not ready
Nov 06 00:00:50 chronic NetworkManager[777]: <warn> [1541458850.2459] device (wlp2s0): device not up after timeout!
Nov 06 00:00:50 chronic NetworkManager[777]: <info> [1541458850.2462] manager: rfkill: WiFi now disabled by radio killswitch
Nov 06 00:00:50 chronic NetworkManager[777]: <info> [1541458850.2514] manager: rfkill: WWAN hardware radio set enabled
Nov 06 00:00:50 chronic NetworkManager[777]: <info> [1541458850.2516] audit: op="radio-control" arg="wwan-enabled" pid=2286 uid=1000 result="success"
Nov 06 00:00:50 chronic NetworkManager[777]: <info> [1541458850.2584] manager: rfkill: WWAN hardware radio set disabled
Nov 06 00:00:50 chronic NetworkManager[777]: <info> [1541458850.2586] audit: op="radio-control" arg="wwan-enabled" pid=2286 uid=1000 result="success"

Sebastien Bacher (seb128) wrote :

Thanks for the data Mario, seems like it's not the backend then but that there is a bug in the key handling. Unsure we can describe it as "regression" though, the feature was not working at all, now it's half working.
Or was it something that is currently working on cosmic and which isn't now?

The log doesn't have informations on gnome-settings-daemon though which would be useful to have (but unsure what's the easiest way to put in debug mode, maybe restart it manually with --debug?)

Mario Vukelic (mario-vukelic) wrote :

@Sebastien: That's the thing, on the Dell XPS 15 9575 there IS a regression with xkb-data 2.23.1-1ubuntu1.18.10.1.

On this machine, the airplane mode key worked perfectly out-of-the-box (i.e., the key enabled AND disabled the airplane mode) with the development version of Cosmic, using xkb-data 2.23. See my comment #13 further up in this bug.

Here's the debug output for gnome-settings-daemon:

[*** Airplane mode is off, Wifi and BT are on ***]

/usr/lib/gnome-settings-daemon/gsd-rfkill -v
(gsd-rfkill:18272): rfkill-plugin-DEBUG: 19:01:16.867: Read killswitch of type 'WLAN' (idx=1): soft 0 hard 0
(gsd-rfkill:18272): rfkill-plugin-DEBUG: 19:01:16.867: Read killswitch of type 'BLUETOOTH' (idx=11): soft 0 hard 0
(gsd-rfkill:18272): rfkill-plugin-DEBUG: 19:01:16.867: Added rfkill with ID 1
(gsd-rfkill:18272): rfkill-plugin-DEBUG: 19:01:16.867: Added Bluetooth rfkill with ID 11
(gsd-rfkill:18272): rfkill-plugin-DEBUG: 19:01:17.185: Registered client at path /org/gnome/SessionManager/Client29
(gsd-rfkill:18272): rfkill-plugin-DEBUG: 19:01:17.187: Opened rfkill-input inhibitor.

[*** Here I am pressing the airplane mode key to enable Airplane mode > Wifi/BT goes off ***]

(gsd-rfkill:18272): rfkill-plugin-DEBUG: 19:01:26.232: RFKILL event: idx 1 type 1 (WLAN) op 2 (CHANGE) soft 1 hard 0
(gsd-rfkill:18272): rfkill-plugin-DEBUG: 19:01:26.232: Changed rfkill with ID 1
(gsd-rfkill:18272): rfkill-plugin-DEBUG: 19:01:26.352: RFKILL event: idx 11 type 2 (BLUETOOTH) op 2 (CHANGE) soft 1 hard 0
(gsd-rfkill:18272): rfkill-plugin-DEBUG: 19:01:26.353: Changed Bluetooth rfkill with ID 11

[*** Here I am pressing the airplane mode key again to DISable Airplane mode > Wifi/BT should go back on. This fails and the airplane mode re-engages immediately as described ***]

(gsd-rfkill:18272): rfkill-plugin-DEBUG: 19:03:11.523: RFKILL event: idx 1 type 1 (WLAN) op 2 (CHANGE) soft 0 hard 0
(gsd-rfkill:18272): rfkill-plugin-DEBUG: 19:03:11.523: RFKILL event: idx 11 type 2 (BLUETOOTH) op 2 (CHANGE) soft 0 hard 0
(gsd-rfkill:18272): rfkill-plugin-DEBUG: 19:03:11.523: Changed rfkill with ID 1
(gsd-rfkill:18272): rfkill-plugin-DEBUG: 19:03:11.523: Changed Bluetooth rfkill with ID 11
(gsd-rfkill:18272): rfkill-plugin-DEBUG: 19:03:12.394: RFKILL event: idx 1 type 1 (WLAN) op 2 (CHANGE) soft 1 hard 0
(gsd-rfkill:18272): rfkill-plugin-DEBUG: 19:03:12.394: Changed rfkill with ID 1
(gsd-rfkill:18272): rfkill-plugin-DEBUG: 19:03:12.394: RFKILL event: idx 11 type 2 (BLUETOOTH) op 2 (CHANGE) soft 1 hard 0
(gsd-rfkill:18272): rfkill-plugin-DEBUG: 19:03:12.394: Changed Bluetooth rfkill with ID 11

[*** Here I am pressing DISabling Airplane mode from the Gnome panel menu > Wifi/BT goes back on. This works ***]

(gsd-rfkill:18272): rfkill-plugin-DEBUG: 19:05:10.298: RFKILL event: idx 1 type 1 (WLAN) op 2 (CHANGE) soft 0 hard 0
(gsd-rfkill:18272): rfkill-plugin-DEBUG: 19:05:10.298: RFKILL event: idx 11 type 2 (BLUETOOTH) op 2 (CHANGE) soft 0 hard 0
(gsd-rfkill:18272): rfkill-plugin-DEBUG: 19:05:10.298: Changed rfkill with ID 1
(gsd-rfkill:18272): rfkill-plugin-DEBUG: 19:05:10.298: Changed Bluetooth rfkill with ID 11

Mario Vukelic (mario-vukelic) wrote :

To be clear, the above debugging output is with xkb-data 2.23.1-1ubuntu1.18.10.1 installed and therefore the DISabling of airplane mode by the dedicated key being broken

$ aptitude show xkb-data
Package: xkb-data
Version: 2.23.1-1ubuntu1.18.10.1
State: installed

Sebastien Bacher (seb128) wrote :

Sorry but it's still a bit confusing to me so taking a step back
- on a stock XPS with the non-SRU version, what keycode do you get in xev
- on a stock cosmic what happens when you use the key
- does that command works to get out of airplane mode?

gdbus call --session --dest org.gnome.SettingsDaemon.Rfkill \
           --object-path /org/gnome/SettingsDaemon/Rfkill \
           --method org.freedesktop.DBus.Properties.Set \
                    org.gnome.SettingsDaemon.Rfkill AirplaneMode '<false>'

(https://bugzilla.gnome.org/show_bug.cgi?id=760517 is the upstream bug which discussed the current handling of that key in g-s-d)

Mario Vukelic (mario-vukelic) wrote :

@Sebastian:

I reinstalled the non-SRU version:

$ apt-cache policy xkb-data
xkb-data:
  Installed: 2.23.1-1ubuntu1
  Candidate: 2.23.1-1ubuntu1.18.10.1
  Version table:
     2.23.1-1ubuntu1.18.10.1 500
        500 http://de.archive.ubuntu.com/ubuntu cosmic-proposed/main amd64 Packages
        500 http://de.archive.ubuntu.com/ubuntu cosmic-proposed/main i386 Packages
 *** 2.23.1-1ubuntu1 500
        500 http://de.archive.ubuntu.com/ubuntu cosmic/main amd64 Packages
        500 http://de.archive.ubuntu.com/ubuntu cosmic/main i386 Packages
        100 /var/lib/dpkg/status

- on a stock XPS with the non-SRU version, what keycode do you get in xev

I press Fn+Pos1 and I get:

FocusIn event, serial 39, synthetic NO, window 0x2000001,
    mode NotifyUngrab, detail NotifyAncestor

KeymapNotify event, serial 39, synthetic NO, window 0x0,
    keys: 4294967246 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
           0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0

MappingNotify event, serial 39, synthetic NO, window 0x0,
    request MappingKeyboard, first_keycode 8, count 248

KeyPress event, serial 39, synthetic NO, window 0x2000001,
    root 0x1ce, subw 0x0, time 272898, (-557,525), root:(1274,1553),
    state 0x0, keycode 255 (keysym 0x0, NoSymbol), same_screen YES,
    XLookupString gives 0 bytes:
    XmbLookupString gives 0 bytes:
    XFilterEvent returns: False

KeyRelease event, serial 39, synthetic NO, window 0x2000001,
    root 0x1ce, subw 0x0, time 272898, (-557,525), root:(1274,1553),
    state 0x0, keycode 255 (keysym 0x0, NoSymbol), same_screen YES,
    XLookupString gives 0 bytes:
    XFilterEvent returns: False

- on a stock cosmic what happens when you use the key

1.Press key

-> Airplane mode enables. The airplane mode icon appear in the Gnome panel. Wifi turns off. BT turns off

2. Press key again

-> Airplane mode disables. The airplane mode icon disappears from the Gnome panel. Wifi turns on. BT turns on.

I.e., it works perfectly. Every time I press the key, the airplane mode changes into the other state (on or off)

- does that command works to get out of airplane mode? (Command: gdbus call etc.)

Yes

Mario Vukelic (mario-vukelic) wrote :

As an additional check I once more installed the SRU version (and rebooted):

$ apt-cache policy xkb-data
xkb-data:
  Installed: 2.23.1-1ubuntu1.18.10.1
  Candidate: 2.23.1-1ubuntu1.18.10.1
  Version table:
 *** 2.23.1-1ubuntu1.18.10.1 500
        500 http://de.archive.ubuntu.com/ubuntu cosmic-proposed/main amd64 Packages
        500 http://de.archive.ubuntu.com/ubuntu cosmic-proposed/main i386 Packages
        100 /var/lib/dpkg/status
     2.23.1-1ubuntu1 500
        500 http://de.archive.ubuntu.com/ubuntu cosmic/main amd64 Packages
        500 http://de.archive.ubuntu.com/ubuntu cosmic/main i386 Packages

----

Now the problem occurs again. I.e. the first key press still enables the airplane mode just like with the non-SRU version, but the second key press fails to disable the mode:

1.Press key (STILL OK)

-> Airplane mode enables. The airplane mode icon appears in the Gnome panel. Wifi turns off. BT turns off.

2. Press key again (THIS IS NOW BROKEN)

-> Airplane mode appears to disable momentarily: For a short moment the airplane mode icon disappears from the Gnome panel. HOWEVER, then the airplane mode immediately and automatically re-enables. The airplane mode icon reappears in the panel, Wifi and BT remain off.

- does that command works to get out of airplane mode? (Command: gdbus call etc.)

Yes, this still works

Sebastien Bacher (seb128) wrote :

Ok, so after some debugging the fix is working but it hits a bug on some Dell laptops

From my Inspirong 11 debugging
- sudo evemu-record
<pick the keyboard interface>
press the airplane key
-> double events are generated

then to fix it
- cat /sys/class/dmi/id/modalias and see what the "pn" is
- edit /lib/udev/hwdb.d/60-keyboard.hwdb and add a section (adapt the 'Inspiron*3138' according your 'pn' from the previous command)

"#disable double airplane key events on Inspiron 3138
evdev:atkbd:dmi:bvn*:bvr*:bd*:svnDell*:pnInspiron*3138:pvr*
 KEYBOARD_KEY_88=unknown"

- sudo udevadm hwdb --update
- sudo udevadm trigger

try again, the flackyness should be fixed (and the event record should show "unknow" keys now)

Sebastien Bacher (seb128) wrote :

@Mario, could you copy the list of devices from "sudo evemu-record" and a log of the record from the keyboard after pressing the key once?

Sebastien Bacher (seb128) wrote :

I believe the issue was originally created by that systemd change,
https://github.com/systemd/systemd/pull/8762

I've submitted a revert on https://github.com/systemd/systemd/pull/10709

That change is going to have things working as designed, at least on the Inspiron but I'm unsure your issue is the same one at this point. We should probably reject the SRU though, or it would need to go with the systemd change to avoid the regression (but it might still impact on some models)

Mario Vukelic (mario-vukelic) wrote :
Download full text (8.5 KiB)

@Sebastien: Thank you very much. With the SRU version installed (I hope that's right):

sudo evemu-record
Available devices:
/dev/input/event0: Lid Switch
/dev/input/event1: Power Button
/dev/input/event2: Sleep Button
/dev/input/event3: Power Button
/dev/input/event4: AT Translated Set 2 keyboard
/dev/input/event5: Wacom HID 486A Pen
/dev/input/event6: Wacom HID 486A Finger
/dev/input/event7: Intel HID events
/dev/input/event8: Intel Virtual Button driver
/dev/input/event9: Intel HID 5 button array
/dev/input/event10: Integrated_Webcam_HD: Integrate
/dev/input/event11: Integrated_Webcam_HD: Integrate
/dev/input/event12: DELL080D:00 06CB:7A13 Touchpad
/dev/input/event13: Dell WMI hotkeys
/dev/input/event14: Video Bus
/dev/input/event15: HDA Intel PCH Headphone Mic
/dev/input/event16: HDA Intel PCH HDMI/DP,pcm=3
/dev/input/event17: HDA Intel PCH HDMI/DP,pcm=7
/dev/input/event18: HDA Intel PCH HDMI/DP,pcm=8
/dev/input/event19: HDA Intel PCH HDMI/DP,pcm=9
/dev/input/event20: HDA Intel PCH HDMI/DP,pcm=10
Select the device event number [0-20]: 4
# EVEMU 1.3
# Kernel: 4.18.0-11-generic
# DMI: dmi:bvnDellInc.:bvr1.1.9:bd08/08/2018:svnDellInc.:pnXPS159575:pvr:rvnDellInc.:rn0C32VW:rvrA00:cvnDellInc.:ct10:cvr:
# Input device name: "AT Translated Set 2 keyboard"
# Input device ID: bus 0x11 vendor 0x01 product 0x01 version 0xab41
# Supported events:
# Event type 0 (EV_SYN)
# Event code 0 (SYN_REPORT)
# Event code 1 (SYN_CONFIG)
# Event code 2 (SYN_MT_REPORT)
# Event code 3 (SYN_DROPPED)
# Event code 4 ((null))
# Event code 5 ((null))
# Event code 6 ((null))
# Event code 7 ((null))
# Event code 8 ((null))
# Event code 9 ((null))
# Event code 10 ((null))
# Event code 11 ((null))
# Event code 12 ((null))
# Event code 13 ((null))
# Event code 14 ((null))
# Event code 15 (SYN_MAX)
# Event type 1 (EV_KEY)
# Event code 1 (KEY_ESC)
# Event code 2 (KEY_1)
# Event code 3 (KEY_2)
# Event code 4 (KEY_3)
# Event code 5 (KEY_4)
# Event code 6 (KEY_5)
# Event code 7 (KEY_6)
# Event code 8 (KEY_7)
# Event code 9 (KEY_8)
# Event code 10 (KEY_9)
# Event code 11 (KEY_0)
# Event code 12 (KEY_MINUS)
# Event code 13 (KEY_EQUAL)
# Event code 14 (KEY_BACKSPACE)
# Event code 15 (KEY_TAB)
# Event code 16 (KEY_Q)
# Event code 17 (KEY_W)
# Event code 18 (KEY_E)
# Event code 19 (KEY_R)
# Event code 20 (KEY_T)
# Event code 21 (KEY_Y)
# Event code 22 (KEY_U)
# Event code 23 (KEY_I)
# Event code 24 (KEY_O)
# Event code 25 (KEY_P)
# Event code 26 (KEY_LEFTBRACE)
# Event code 27 (KEY_RIGHTBRACE)
# Event code 28 (KEY_ENTER)
# Event code 29 (KEY_LEFTCTRL)
# Event code 30 (KEY_A)
# Event code 31 (KEY_S)
# Event code 32 (KEY_D)
# Event code 33 (KEY_F)
# Event code 34 (KEY_G)
# Event code 35 (KEY_H)
# Event code 36 (KEY_J)
# Event code 37 (KEY_K)
# Event code 38 (KEY_L)
# Event code 39 (KEY_SEMICOLON)
# Event code 40 (KEY_APOSTROPHE)
# Event code 41 (KEY_GRAVE)
# Event code 42 (KEY_LEFTSHIFT)
# Event code 43 (KEY_BACKSLASH)
# Event code 44 (KEY_Z)
# ...

Read more...

Mario Vukelic (mario-vukelic) wrote :

And your fix helps:

Still with SRU version installed:

$ cat /sys/class/dmi/id/modalias
dmi:bvnDellInc.:bvr1.1.9:bd08/08/2018:svnDellInc.:pnXPS159575:pvr:rvnDellInc.:rn0C32VW:rvrA00:cvnDellInc.:ct10:cvr:

So, edit edit /lib/udev/hwdb.d/60-keyboard.hwdb:

evdev:atkbd:dmi:bvn*:bvr*:bd*:svnDell*:pnXPS159575:pvr*
 KEYBOARD_KEY_88=unknown

$ sudo udevadm hwdb --update
$ sudo udevadm trigger

evemu-record shows KEY_UNKNOWN:

################################
# Waiting for events #
################################
E: 0.000001 0004 0004 0028 # EV_MSC / MSC_SCAN 28
E: 0.000001 0001 001c 0000 # EV_KEY / KEY_ENTER 0
E: 0.000001 0000 0000 0000 # ------------ SYN_REPORT (0) ---------- +0ms
E: 3.143316 0004 0004 0136 # EV_MSC / MSC_SCAN 136
E: 3.143316 0001 00f0 0001 # EV_KEY / KEY_UNKNOWN 1
E: 3.143316 0000 0000 0000 # ------------ SYN_REPORT (0) ---------- +3143ms
E: 3.143370 0004 0004 0136 # EV_MSC / MSC_SCAN 136
E: 3.143370 0001 00f0 0000 # EV_KEY / KEY_UNKNOWN 0
E: 3.143370 0000 0000 0000 # ------------ SYN_REPORT (0) ---------- +0ms

>>> RESULT:
The disabling of the airplane mode works now (and enabling still works).

As a part of the Stable Release Updates quality process a search for Launchpad bug reports using the version of xkeyboard-config from cosmic-proposed was performed and bug 1800727 was found. Please investigate that bug report to ensure that a regression will not be created by this SRU. In the event that this is not a regression remove the "verification-failed-cosmic" tag from this bug report and add the tag "bot-stop-nagging" to bug 1800727 (not this bug). Thanks!

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments

Remote bug watches

Bug watches keep track of this bug in other bug trackers.